Overview | Package | Class | Tree | Deprecated | Index | Help
| Oracle TopLink API Reference 10g Release 3 (10.1.3) B13698-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.toplink.queryframework
Class CursoredStreamPolicy

`java.lang.Object
ContainerPolicy
oracle.toplink.queryframework.CursorPolicy
oracle.toplink.queryframework.CursoredStreamPolicy`

public class CursoredStreamPolicy
extends CursorPolicy

Purpose: Used to support cursored streams in a read query.

Responsibilities: Execute the cursored read and build the stream.

Since:
  TOPLink/Java 1.2
See Also:
  Serialized Form

Constructor Summary
`CursoredStreamPolicy()` default constructor
`CursoredStreamPolicy(ReadQuery query, int pageSize)` set the initial read size to match the page size
`CursoredStreamPolicy(ReadQuery query, int initialReadSize, int pageSize)`
`CursoredStreamPolicy(ReadQuery query, int initialReadSize, int pageSize, ValueReadQuery sizeQuery)`

Method Summary
`int` | `getInitialReadSize()` Specifies the number of elements to be read initially into a cursored stream.
`ValueReadQuery` | `getSizeQuery()` Return the query used to read the size.
`boolean` | `isCursoredStreamPolicy()`
`void` | `setInitialReadSize(int initialReadSize)` Specifies the number of elements to be read initially into a cursored stream
`void` | `setSizeQuery(ValueReadQuery sizeQuery)` Set the query used to read the size.

Methods inherited from class oracle.toplink.queryframework.CursorPolicy
`getPageSize, isCursorPolicy, isScrollableCursorPolicy, setPageSize`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### CursoredStreamPolicy

    public CursoredStreamPolicy()

  default constructor

### CursoredStreamPolicy

    public CursoredStreamPolicy(ReadQuery query,
                                int pageSize)

  set the initial read size to match the page size

### CursoredStreamPolicy

    public CursoredStreamPolicy(ReadQuery query,
                                int initialReadSize,
                                int pageSize)

### CursoredStreamPolicy

    public CursoredStreamPolicy(ReadQuery query,
                                int initialReadSize,
                                int pageSize,
                                ValueReadQuery sizeQuery)

Method Detail

### getInitialReadSize

    public int getInitialReadSize()

  Specifies the number of elements to be read initially into a cursored stream.

### getSizeQuery

    public ValueReadQuery getSizeQuery()

  Return the query used to read the size. This is required for SQL read queries.

### isCursoredStreamPolicy

    public boolean isCursoredStreamPolicy()

  Overrides:
    `isCursoredStreamPolicy` in class `CursorPolicy`

### setInitialReadSize

    public void setInitialReadSize(int initialReadSize)

  Specifies the number of elements to be read initially into a cursored stream

### setSizeQuery

    public void setSizeQuery(ValueReadQuery sizeQuery)

  Set the query used to read the size. This is required for SQL read queries.

Overview | Package | Class | Tree | Deprecated | Index | Help
| Copyright © 1998, 2006, Oracle. All Rights Reserved.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD